package sgc.portal.cw.cw0610.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0610.model.CW06100001U;
import sgc.portal.cw.cw0610.dto.CW06100001USearch;
import sgc.portal.cw.cw0610.service.CW06100001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0610")
public class CW06100001UController {
    private final CW06100001UService service;

    public CW06100001UController(CW06100001UService service) {
        this.service = service;
    }

    @PostMapping("/CW06100001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW06100001USearch search) {
        return service.getList(search);
    }
    
    @PostMapping("/CW06100001U/save")
    public Map<String, String> save(@RequestBody List<CW06100001U> CW06100001U) {
    	return service.save(CW06100001U);
    }
}
